Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class Constants

    java.lang.Object
      org.jasig.portal.Constants

    public class Constants

extends java.lang.Object

Houses constants used in the portal code base. Developers, any constants added here should be clearly documented.

Version:
  $Revision: 1.5 $
Author:
  Mark Boyd

Field Summary
`static java.lang.String` | `AUTO_PUBLISH_CATEGORY` The name of a category into which automatically published channels from a channel archive are placed.
`static java.lang.String` | `FNAME_PARAM` The query parameter name that can be appended to a baseActionUrl along with its value, the fname of a channel, to cause an instance of that channel to appear in focused mode without the user having to subcribe to that channel.
`static java.lang.String` | `LOCALES_PARAM` The request parameter name that can be appended to a baseActionURL along with its value, the locales to which the portal should assign priority.

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FNAME_PARAM

    public static final java.lang.String FNAME_PARAM

  The query parameter name that can be appended to a baseActionUrl along with its value, the fname of a channel, to cause an instance of that channel to appear in focused mode without the user having to subcribe to that channel. Examples are infrastructure channels like CChannelManager and CUserPreferences. They don't reside in a user's layout but are merged in via the fname functionality as needed.

  See Also:
    Constant Field Values

### LOCALES_PARAM

    public static final java.lang.String LOCALES_PARAM

  The request parameter name that can be appended to a baseActionURL along with its value, the locales to which the portal should assign priority. These locales will be a priority for the remainder of a user's session. The value of this parameter should be a comma-delimited list of locale codes. For example, en_US,ja_JP,de_DE

  See Also:
    Constant Field Values

### AUTO_PUBLISH_CATEGORY

    public static final java.lang.String AUTO_PUBLISH_CATEGORY

  The name of a category into which automatically published channels from a channel archive are placed. It is expected to be found in the root category and if not found during publishing is automatically created.

  See Also:
    Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD